Introduction

Lantronix's Secure Com Port Redirector v.4.2 (CPR), powered by TruPort™ technology, is a software utility for network-enabling software applications that do not have network support. Com Port Redirector installs virtual communication (COM) ports, which are redirected over a network to the serial port of a Lantronix device server. TruPort® Technology combines RFC2217 Com Port control protocol with Lantronix® data handling, discovery, and device server technology, enabling advanced remote serial interface control.

CPR supports Windows XP, Windows 2000 and 2003 server, and Windows Vista, including Terminal Services.

Example of How Com Port Redirector Works

Com Port Redirector consists of the following modules:

  • CPR Manager enables you to map com ports to device servers, configure, and test com ports.

  • CPR Monitor enables you to identify and troubleshoot problems.


Overall Procedure

The following procedure summarizes the steps for using Com Port Redirector.

    1. Install Com Port Redirector on each PC that will communicate with the device server.

    2. Review the general usage guidelines for the device server.

    3. Configure the device server and Com Port Redirector.

    4. Verify the connectivity between Com Port Redirector and the device server.

See also

Device Server Configuration Guidelines


Device Server Configuration Guidelines

Observe the following general guidelines when preparing the device server for use with Com Port Redirector:

  • The device server to which Com Port Redirector will connect must have an IP address.

  • The PC running Com Port Redirector must have a good network connection to the device server.

  • If redirecting over a Wide Area Network (WAN), both the PC and the device server must have a correct gateway address configured in their TCP/IP settings.

  • Serial settings on the device server must match the settings of the serial device when RFC2217 is not implemented. Serial settings include:

- Baud rate

- Parity

- Stop bits

- Flow control

- Interface mode (RS-232 or RS-422/485)

Consult your device server documentation for information about configuring these settings for your device server.

  • Connect/Disconnect and Access Modes: The way the device server accepts a connection must be configured appropriately to accept a network connection from Com Port Redirector.

- CoBox, UDS, XPort, and XPress products: Set the Connect Mode to C0 and Disconnect Mode to 00. If the CPR com port is set for Listen Mode, set the Connect Mode to 05.

Note: If you are using RFC2217, set the Disconnect Mode to 40.

- MSS, ETS, and SCS products: Set the access mode to "Remote" or "Dynamic" on the serial port receiving the connection from the Com Port Redirector.

  • Serial cabling between the serial device being managed and the device server must be correct. Consult your documentation for the pinouts of your Lantronix device server.

See also

Overall Procedure


CPR Manager Overview

The CPR Manager application allows you to perform the following actions:

  • Search for device servers

  • Add and remove com ports

  • Map com ports to device servers

  • Modify com port settings

  • Test connections

  • Debug

To open CPR Manager:

  1. Click the Windows Start button and Lantronix-->CPR-->CPR Manager, or in CPR Monitor, select Launch CPR Manager from the Tools menu.

See also

CPR Monitor Overview


Com Port List

CPR enables you to create up to 256 virtual com ports. The tree structure in the left pane of the window displays existing com ports, and the Com Port List tab lists them on the right, along with additional information, if available.

To view com port information:

  1. Click the Com Port List tab (if not displayed).

  2. View information about each listed com port, if available:

IP Address | IP address of the device server to which the com port is connected.
TCP Port | TCP port on the device server to which the com port is connected (for example, 10001 if using channel 1 or 10002 if using channel 2 on a UDS or XPort device server).
COM Status | Indicates whether the com port is open or closed.
Network Status | Status of the connection between the com port and the device server, e.g., Disconnected.
2217 | Yes indicates RFC 2217 is enabled.
BfrWr | Yes indicates buffer writes is enabled.
SvrRec | Yes indicates CPR will attempt reconnecting to the device server if the device server disconnects from CPR.
NoCls | Yes indicates that when an application closes the com port, CPR will not close the network connection.
CntTO | Number of seconds the com port will wait before attempting to connect to the next device server in the list, or before aborting the connection attempt.
TORec | Yes indicates CPR will re-establish the connection if a connection times out.
KpAlv | Yes indicates TCP KeepAlive is enabled.

To display multiple IP addresses for com ports directed to multiple device servers:

  1. In the Com Port list, right-click the com port and select Show IP Addresses. If the com port is directed to multiple device servers, all of the IP addresses display.

To close a com port or disconnect CPR from the device server:

  1. If a com port is open, in the Com Port List, right-click the com port and select Close Com <port number>. The com port closes.

Note: The application that opened this com port will be unaware of this close, so use this with caution.

  2. If a com port is closed, but there is still a connection between CPR and the device server, or the com port is open and is in Listen Mode, then in the Com Port List, right-click the com port and select Disconnect Com <port number> from Device Server.

See also

Search for Device Servers

Configure the Com Port


Search for Device Servers

Use the search feature to list Lantronix device servers currently on the network. You can name a device server and its TCP port and hide or display the list of device servers.

Note: This version of CPR does not detect the following Lantronix products: MSS, ETS, SCS, LPS, MPS, and EPS.

To list device servers:

  1. Click the Search icon [image] . A list of Lantronix device servers on the local network displays in the bottom pane of the window.

  2. View the following information about the device server, if available:

IP Address

IP address of the device server to which the com port is connected.

# Ports

TCP Port

Serial port (channel 1 or channel 2) on the device server to which the com port is connected. All MSS products use port 3001 for channel 1 and 3002 for channel 2. All CoBos products (UDS, CoBox, XPress) and XPort products use port 10001 for channel 1 and 10002 for channel 2.

Note: For instructions on configuring port numbers using Telnet or a web interface, see the User Guide for the Lantronix device server.

Product

Product name, for example, UDS200, XPort-03, or SDS1100.

ID

Device server type identifier (ID of the product).

HW Address

Hardware address (also called MAC or Ethernet address) that identifies the unit. It is on the product label, in the format: XX-XX-XX-XX-XX-XX, where the XXs are unique numbers assigned to the product.

Network Interface

Network Interface that the device was found on.

Device Name

A user-supplied name that identifies the device server.

Port Name

A user-supplied name that identifies the port.

To view the list of devices:

  1. From the Device menu, select Device List.

To hide the list of devices:

  1. Right-click in the Devices pane.

  2. Click Hide Device List.

To name a device server and port:

  1. In the Device pane, right-click in the device's row. A pop-up menu displays.

  2. Select Change the Device and Port Names. The Change Names dialog box displays.

  3. Enter the Device Name and Port Names and click OK.

See also


Exclude Devices from Search Results

Use the exclude feature to exclude certain devices from the device search results.

To launch the exclude dialog box:

  1. Click the Exclude icon [image] . A dialog box pops up. This dialog box is used to select the devices to exclude.

  2. Move devices from the Included Devices list to the Excluded Devices list and press OK

.


Add or Remove Com Ports

CPR allows up to 256 com ports.

Note: Any com ports on the system that are not CPR virtual com ports are inaccessible to CPR Manager.

To add com ports:

  1. Click the Add or Remove icon [image], or select Add and Remove from the Com Port menu. A window displaying a list of numbered com ports opens.

  2. Do one of the following:

  • To select com ports individually, select the appropriate checkboxes.

  • To select a range of com ports, enter the beginning and end of the range to the right of the Check (Range) button and click the button.

  • To select all of the com ports, click the Select All button.

  • To clear all checkboxes, click the Select None button.

  3. Click OK. The dialog box closes. The added com ports display in red and are identified as new. The word "Modified" displays at the bottom of the window.

  4. To save the settings, click the Save icon [image].

To remove a com port:

  1. Click the Add or Remove icon [image] , or select Add and Remove from the Com Port menu.

  2. Do one of the following:

  • To remove com ports individually, clear the appropriate checkboxes.

  • To remove a range of com ports, enter the beginning and end of the range to the right of the Uncheck (Range) button and click the button.

  • To select no checkboxes, click the Select None button.

  3. Click the OK button. The dialog box closes. Removed com ports that were never saved no longer display. Removed com ports that were saved previously have "marked for deletion." beside their names.

  4. To save the changes, click the Save icon [image]. The removed com ports no longer display.

See also


Configure the Com Port

You must configure a new com port before it can be used by any communications software.

To configure com port settings:

  1. Click the com port in the tree structure. The Settings tab displays. Alternatively, double-click the com port on the Com Port List tab.

Note: Ctrl + up arrow or Ctrl + down arrow displays the next or previous com port on the Settings tab..

  2. Enter the following information:

Buffer Writes

If selected, when an application opens a COM port and starts writing to that port, CPR will buffer those writes and try to send as many as possible in a single TCP packet (speeds processing).

Server Reconnect

If selected, enables the com port to reconnect to the device server after the device server disconnects from CPR.

No Net Close

If selected, when an application closes the com port, CPR does not close the network connection. To disconnect CPR from the device server, right-click the com port in the com port tree view on the left or in the Com Port List on the right, or select Disconnect on the Com Port menu.

Connection Timeout (in seconds)

Number of seconds the com port should wait before attempting to connect to the next device server in the list, or before aborting the connection attempt.

Timeout Reconnect

If selected, CPR re-establishes the connection if the connection times out When auto-reconnecting, CPR tries to reconnect until the connection succeeds or the number of tries reaches the value in Reconnect Limit.

Reconnect Limit
(0 = forever)

The number of times CPR attempts to re-establish the connection. A value of 0 means CPR will continuously attempt to connect.

Listen Mode

If selected, CPR listens on the configured TCP port for incoming connection requests. There are two kinds of Listen Mode. From the drop-down list, select one of the following:

Normal - port closed after disconnect: The TCP port will close once the connection to the device server is broken.

Auto- back to listen mode after disconnect: CPR goes back into listen mode once the connection is broken.

TCP Port

The number of the TCP port you want CPR to listen on. Click the Add to Firewall button to add the TCP port to the firewall's exclusion list if the firewall is turned on. The firewall will then allow traffic on this TCP port.

TCP KeepAlive

CPR uses the TCP protocol to detect when connections are no longer valid. To enable this capability, select the checkbox. (See the device server's user guide for more information.)

KeepAlive Time (msec)

The time, in milliseconds, that TCP will poll the connection with the device server.

KeepAlive Interval (msec)

If TCP detects a connection failure, it will poll for the connection every KeepAlive Interval milliseconds that you specify here. If, after 5 tries, the connection is still invalid, TCP will notify CPR, and CPR will tear down the connection socket.

If the CPR port was configured to be in Listen Mode - Auto, the CPR port will go back to listening on the appropriate TCP port.

Use RFC 2217

Com port control option protocol that controls:

  • Device server serial port settings (baud rate, data bits, parity, stop bits, flow control)

  • DTR relationships to DCD and DSR serial port signals across the network.

Note: To use RFC2217, the device server must support this protocol. To find out whether your device server supports RFC2217, please see the documentation that comes with the unit or the Lantronix web site ( www.lantronix.com ).

DTR

If you selected Use RFC 2217, select one of the options to tie the remote DTR with the DCD and DSR of the virtual com port. The default is to tie DTR to DCD and keep DSR always active.

  3. To redirect the com port to up to eight device servers, double-click each desired device server in the Devices pane.

Note: Alternatively, right-click the device server in the list of devices and select Add to Settings.

The following information displays for each device server:

Service

Number of the device server in the list of device ports that the com port can connect to.

Notes:

  • When a com port is open, it attempts to connect to the first device server in the list. If the com port does not make a successful connection in the time specified in Connection Timeout (above), it tries the next device server. This procedure continues with each device server in turn until the com port makes a successful connection or tries all the listed device servers.

  • To reorder the device servers in the list, left-click the left side of a row and then drag it up or down.

Host

IP address of the device server.

!

Error or Warning icons will appear here. Hover the mouse over the icons to view the error or warning.

TCP Port

Port on the device server to which the com port will connect.

After an IP Address is entered, a web icon appears in this column. Pressing this icon will launch a web browser and the configuration page of the device will be displayed.

  4. WARNING! If the Host is on the other side of a router or a remote firewall, then UDP ports 30718, 43282 and 43283 may need to be added to the firewall's exclusion list. You may experience trouble opening this com port if these UDP ports are not excluded.

  5. Also, some legacy device servers respond on UDP port 43283. If you are unable to connect to a device server, one possible cause is the Firewall on this machine is blocking this port. Press the 'Add Rx Port' button to add this port to the Firewall. If the button caption reads 'Remove Rx Port' then the port has already been added and can be removed by pressing this button.

  6. You have the following options:

  • To return the settings to default values, click the Reset to Defaults button.

  • To cancel your changes, click the Cancel Edits button.

  • To save your changes, click the Save icon [image], and in response to the confirmation message, click OK. The completed Settings window displays. The "Modified" message displays in the progress bar at the bottom of the window.

Note: Once you save the com port configuration, system names and information display at the top of the window.

See also

Com Port Tests

Default Com Port


Import and Export Config File

Import and Export Configuration Files

You can export a file of all the settings for future use or for testing.

To export a configuration file:

  1. From the Com Port menu, select Export to Com Port Config file.

  2. Browse to the appropriate directory, name the file, and click the Save button. The file is saved as a Com Port Config File (*cpc).

Note: Two configuration files (.cpc files) are automatically saved each time you modify and save com port settings:

    • BeforeLastEdit.cpc: State of the com port settings before you click the Save icon [image].

    • LastSaved.cpc: State of the com port settings after you click the Save icon.

To import a saved configuration file:

  1. From the Com Port menu, select Import from Port Config file.

  2. Browse to the desired .cpc file.and click the Open button. The settings saved in the file display in red in CPR Manager.

  3. Click the Save icon [image]. The saved settings display in black.


CPR Manager Menu Options

The following table summarizes menu options specific to CPR Manager:

File Menu
Exit | Closes CPR.
Com Port Menu
Save Settings | Saves settings entered since the last save. Same as [image] .
Export to Com Port Config file | Saves a configuration file.
Import from Com Port Config file | Opens a saved configuration file.
Add and Remove | Adds or Removes com ports. Same as [image] .
Refresh View of Com Ports on the System | Loads the newest com port data onto the CPR Manager windows. Same as [image] .
Cancel All Edits | Cancels all changes entered since the last save.
Close Com <port number>) | Closes the com port. Note: The application that opened the port cannot be notified, so use this option with care.
Disconnect com <port number> from Device Server | This menu item is visible only if the port is closed, and there is still a connection between CPR and the device server, or when the com port has been open with Listen Mode enabled. Selecting this option will disconnect CPR from the device server.
Device Menu
Search | Searches for Lantronix devices on the network. Same as [image] .
Device List | Toggles to display or hide the list of devices in the lower part of the window.
Tools Menu
Options | Enables you to enter general settings (interface and device search timeout) and default com port settings.
Reset User Interface Defaults (size, location, etc.) | Restores original interface.
Launch CPR Monitor | Starts CPR Monitor, the CPR module for identifying and debugging com port problems.
Product Information Base Editor | Displays the PIB viewer, which provides information about Lantronix device servers. To keep CPR Manager informed about new Lantronix device servers, click the Get Latest PIB file online button at the bottom of the PIB editor.
Help Menu
Help | Provides online Help for CPR.
About | Displays CPR version information.

See also

CPR Monitor Menu Options


Com Ports and Devices Window

Com Port and Device Lists Window


Com Port List


Added Com Ports


General Options


Default Com Port


Com Port Tests Window


General Tests


Settings image

Settings


Default Com Port

You can set up default com port properties so that new com ports automatically have the desired values.

To set default values for com ports:

  1. From the Tools menu, select Options, and then click the Default Com Port tab.

  2. Enter the following information:

Buffer Writes

If selected, when an application opens a COM port and starts writing to that port, CPR will buffer those writes and try to send as many as possible in a single TCP packet (speeds processing).

Server Reconnect

If selected, enables the com port to reconnect to the device server after the device server disconnects from CPR.

No Net Close

If selected, when an application closes the com port, CPR does not close the network connection. To disconnect CPR from the device server, right-click the com port in the com port tree view on the left or in the Com Port List on the right, or select Disconnect on the Com Port menu.

Connection Timeout (in seconds)

Number of seconds the com port should wait before attempting to connect to the next device server in the list, or before aborting the connection attempt.

Timeout Reconnect

If selected, CPR re-establishes the connection if the connection times out When auto-reconnecting, CPR tries to reconnect until the connection succeeds or the number of tries reaches the value in Reconnect Limit.

Reconnect Limit
(0 = forever)

The number of times CPR attempts to re-establish the connection. A value of 0 means CPR will continuously attempt to connect.

Listen Mode

If selected, CPR listens on the configured TCP port for incoming connection requests. There are two kinds of Listen Mode. From the drop-down list, select one of the following:

Normal - port closed after disconnect: The TCP port will close once the connection to the device server is broken.

Auto- back to listen mode after disconnect: CPR goes back into listen mode once the connection is broken.

TCP Port

The number of the TCP port you want CPR to listen on. Click the Add to Firewall button to add the TCP port to the firewall's exclusion list if the firewall is turned on.

TCP KeepAlive

CPR uses the TCP protocol to detect when connections are no longer valid. To enable this capability, select the checkbox. (See the device server's user guide for more information.)

KeepAlive Time (msec)

The time, in milliseconds, that TCP will poll the connection with the device server.

KeepAlive Interval (msec)

If TCP detects a connection failure, it will poll for the connection every KeepAlive Interval milliseconds that you specify here. If, after 5 tries, the connection is still invalid, TCP will notify CPR, and CPR will tear down the connection socket.

If the CPR port was configured to be in Listen Mode-Auto, the CPR port will go back to listening on the appropriate TCP port.

Use RFC 2217

Com port control option protocol that controls:

  • Device server serial port settings (baud rate, data bits, parity, stop bits, flow control)

  • DTR relationships to DCD and DSR serial port signals across the network.

Note: To use RFC2217, the device server must support this protocol. To find out whether your device server supports RFC2217, please see the documentation that comes with the unit or the Lantronix web site ( www.lantronix.com ).

Connection Timeout

Number of seconds the com port should wait before attempting to connect to the next device server in the list, or before aborting the connection attempt.

DTR

If you selected Use RFC 2217, select one of the options to tie the remote DTR with the DCD and DSR of the virtual com port. The default is to tie DTR to DCD and keep DSR always active.

Tx Empty

If you selected Use RFC 2217, select one of the following options from the drop-down list:

  • CPR Transmit Buffer Empty: CPR notifies the application when the CPR has transmitted data and its buffer is empty.

  • Device Server Transmit Buffer Empty: CPR notifies the application when the device server has transmitted data and its buffer is empty.

Notes:

Overlapped and non-overlapped writes remain pending until the transmit empty event occurs.

Only applications that have registered to receive transmit empty events through Microsoft Windows' APIs are notified of transmit empty events.

  4. You have the following options:

  • To return the settings to system default values, click the Reset to Defaults button.

  • To cancel your changes, click the Cancel Edits button.

  • To save your changes, click the OK button.

See also

Configure the Com Port


Reset User Interface Defaults

You can restore the original user interface if you altered it, for example, by maximizing or minimizing the application, changing column widths in various lists, or moving the line between the left and right panes of the main window.

To reset the user interface:

  1. From the Tools menu, select Reset User Interface Defaults.

  2. Close and restart Com Port Redirector to view the changes.


Product Information Base (PIB) Viewer

The Product Information Base (PIB) Viewer enables you to view a list of Lantronix device server parameters that DeviceInstaller uses to interact with these device servers. Most of the parameters are related to Lantronix's DeviceInstaller utility. CPR Manager only uses a PIB file during the device search operation.

Click the Get Latest PIB File Online button to get the most recent PIB file from Lantronix.

Most of the editable parameters are for use in DeviceInstaller and only authorized users can modify these values. Contact Tech Support if you have any questions about modifying values.

To open the PIB Editor:

  1. From the Tools menu, select Product Information Base Viewer.

The PIB Viewer window has two panes:

  • The left pane groups the Lantronix device servers by family.

  • The top of the right pane provides information about the CPR version as well as entry fields and buttons enabling you to change the look and contents of the list information.

  • The bottom of the right pane displays the full list of device servers.

To view information about a device family or a single device in printable format:

Note: To close any of the screens that display, click the Close button at the top.

  1. Right-click the name of the family or the device in the left pane and select Preview, which offers the following options:

Note: The other options are common to Windows applications and are not discussed here.

  • Details: Global parameters and device server parameters.

  • Summary: A few basic global and device server parameters..

  • List: A list of members of the device server family, if you are previewing family information.

To view or change parameters related to a device server:

  1. Double-click the name of the device server in the left pane or the bottom right pane. Information and entry fields display. The top part of the screen includes version information and enables you to customize what and how information will display when you select a Preview tool option.

  2. View or change the following information:

Application Parameters Common to all Device Servers.

Version (display only) | Version number of the PIB file.
Last Modified (display only) | Date and time the file was last modified.
Extended Version | Full name of the version of the PIB file.
PIB Code | PIB code specific to this PIB file.
Extra Title | Extra title of the PIB file.
Do Not Show Legacy Device Servers | Select to omit discontinued device servers from being shown in DeviceInstaller.
Do Not Show Unknown Device Servers | Select to omit unknown device servers from being shown in DeviceInstaller.

Note: The ability to change the icon and logo will be added in a future enhancement.

  3. To view or enter comments about the global parameters, click the Global Comments button.

  4. View or change the following information:

Parameters for the Current Device

Device ID | Device server type ID.
Number of Ports | Number of physical serial ports on the device server.
Operating System (display only) | Lantronix operating system running the device server: Evolution, CoBOs, or Linux.
Configuration File | Configuration file name used by the device server. (Evolution products only.)
Firmware File | Firmware file name used by the device server. (Evolution products only.)
Allow Firmware Upgrade | Select to enable you to upgrade the device server's firmware file.
Allow Serial Recovery | Select to enable you to install firmware through the serial port instead of the network in the event of a failure.
Device Class | Select the Lantronix group of products to which this device server belongs
Device Type | Select the specific type of device server, e.g., Console Manager or Embedded Device Server.
Device Name | Enter a name for the device server, or accept the Lantronix name.
Device Family | Lantronix category to which the device server belongs, e.g., Wireless, SecureLinx, or. EDS.
Allow View Details | Select to enable users to view device server details using DeviceInstaller.
Allow IP Address Change | Select to allow DeviceInstaller to change the IP address of the device server.

  5. To view or enter comments about device server parameters, click the Device Comments button.

  6. View or change the following information:

Serial Recovery

Load Type | Based on the chip type.
Initial Baud Rate | Initial baud rate DeviceInstaller uses when the serial port is open.
Final Baud Rate | Baud rate DeviceInstaller uses when data is being transferred.
Storage Type | Select the type of flash storage the device server uses.
Download Type | Select the format in which to download the firmware file.
Expects '@' at the Prompt | Only applies to device servers based on the Evolution OS.
Use Header | Select to include header information.
Use Compression | Select if the device server expects the firmware file to be compressed.
Erase Flash | Select if the device server supports the erasing of flash, and then specify one of the following: Min # pages to erase: Select the minimum number of pages to erase. Allow Erase All: Select if the device server supports the erasure of all flash.

  7. You have the following options:

  • To cancel your entries, click the Cancel button. A dialog box displays a choice of options.

  • To save your entries, click the Save All button.

  • To close after saving, click the Close Button.

If you chose Save All or Cancel, the following buttons at the bottom of the page become active.

  • Delete: Click to delete the current settings.

  • Get Latest PIB File Online: Click to select and download the latest version of the Lantronix.pibx file.

  • Load a Previous PIB file: Click to select and load a previously backed-up PIB file.


General Options

You can set Com Port Redirector's interface, device search, and polling parameters.

To set general options:

  1. From the Tools menu, select Options. The General tab displays.

  2. Enter the following information:

Device Search Timeout | From the drop-down list, select the number of seconds in the range 0-100 after which the search for devices should stop. The default is 10 seconds.
Number of Com Ports per Group | Enables you to group com ports on the tree structure. Select the number of com ports that should be in each group. The default is 20.
Modified Com Port Color | To change the color that indicates com port settings that have been changed but not saved, click the Change button and select a new color. The default is red.
Inaccessible Com Port Color | To change the color that indicates inaccessible com ports, click the Change button and select a new color. The default is gray.
Open Com Port Text Color | To change the color of the text CPR uses to indicate a com port is open, click the Change button and select a new color. The default is blue.
Open Com Port Background Color | To change the color of the background, click the Change button and select a new color. The default is white.

  3. To save, click OK.


Tests Overview

You can perform the following tests on individual and multiple ports to make sure the connections are working properly:

Individual Com Port Tests

General RS232 Tests

Note: You must save all com port changes before testing.


Individual Com Port Tests

You can test a com port connection to a Lantronix device server. If you enable RFC2217, you can test serial port settings as well.

Notes:

  • You can only test one com port at a time.

  • Make sure your Lantronix device server supports RFC2217 before attempting to enable it. To find out whether a device server supports RFC2217, refer to your device server's user guide or the Lantronix web site ( www.lantronix.com ).

To test a com port connection to a Lantronix device server:

  1. Select the com port and click the Com Tests tab.

  2. To open a connection, click the Open button. The current Com Status displays to the right of the Open/Close button. The com port attempts to connect to the first host server on the Settings tab. If the connection succeeds, Network Status displays the current status between CPR and the device server

  3. In the RS232 group, click the RTS and DTR (for incoming data flow) buttons to toggle the standard control settings between High (0) and Low (1) and verify that the connection is working properly. Rx Data displays the number of characters received, and Rx EOF displays the number of EOF characters received.

See also

Configure the Com Port


General RS232 Tests

You can send data out a virtual com port and verify communication all the way through the setup to the physical serial port. To perform this test, connect the device server to the PC's physical serial port. The communications path makes a big loop like this:

PC Using Virtual Redirector Com Port --> Network --> Device Server --> Device Server Serial Port --> RS232 Serial Cable --> PC's Physical Serial Port.

To test RS232 connections:

  1. Select All Com Ports (or a group of com ports to which the desired com ports belong ) and click the General Tests tab.

  2. Click the RS232 tab.

Note: Only real com ports and RFC2217-enabled virtual ports support steps 3 and 5.

  3. If desired, change the serial port settings.

Baud Rate | Speed or baud rate to use for the serial connection. Valid baud rates are 300, 600, 1200, 2400, 4800, 9600 (default), 19200, 38400, 57600, 115200, 230400, 460800, and 921600.
Data | Indicates the number of character bits. The default is 8 bits.
Parity | Select parity type. The default is None.
Stop | The stop bit follows the data and parity bits in serial communication. It indicates the end of transmission. The default is 1 bit.
Flow Control | Flow control manages data flow between devices in a network to ensure it is processed efficiently. Too much data arriving before a device is prepared to manage it causes lost or re-transmitted data. The default is None.

  4. In each Com Port section of the window, select a com port from the drop-down list and click the Open button.

  5. For each com port, in the RS232 group, click the RTS and DTR buttons to toggle the standard control settings between High (0) and Low (1). Verify that the connection is working properly.

Note: Rx Data is the number of bytes received on the com port. Rx EOF is the number of EOF messages received on the com port.

  6. To send text to the other com port:

a. Type text in the text box. As you type, the TX Data field indicates that data is being sent. If a com port receives text, the text displays in the text box for that com port.

b. To clear text, click the Clear Text button.

  7. To send data to the other com port:

a. Click the Send Data button.

b. In response to the "Run Data" message, click OK. The data transfers, the Tx Data field shows the number of bytes transferred so far, and the white progress bar beside the Tx Data field for the receiving port shows the progress of the transfer.

c. To stop data transmission, click the Stop Send button, or if a "Run Complete" message displays, click OK.

See also

Individual Com Port Tests


CPR Monitor Overview

The CPR Monitor application helps you debug problems. It enables you to view network interfaces and TCP information, define event filters, and view the event log.

To open CPR Monitor:

  1. In the CPR Manager, select Launch CPR Monitor from the Tools menu, or click the Windows Start button and Lantronix-->CPR-->CPR Monitor. The CPR Monitor window displays.

See also

CPR Manager Overview


Network Interfaces

Use the CPR Monitor to help debug network problems.

To view network interface information

  1. In the CPR Monitor, select Network Interfaces from the View menu.

  2. From the Refresh Rate drop-down list, select the number of seconds before CPR should refresh the information. The default is 10.

  3. To view details about a network interface, double-click the name.

Note: Alternatively, right-click the name of the interface and click Show Network Details.

The Network Interface Details window displays. The type of details depend on the selected interface. Red indicates values that have changed.

See also

TCP Information


Filters

Use the CPR Monitor to define event filters.

To define filters:

  1. In the CPR Monitor, select View Filters from the View menu. The Filters window lists existing filters.

  2. Right-click a blank line and select Insert from the pop-up menu. The Edit Filters window displays.

  3. Enter the following information:

Filter

Name that describes the filter.

Event Destinations

Select one or both check boxes to indicate where CPR Monitor will send events.

Com Ports

Select one or more com ports CPR should monitor for the defined event. To select all com ports, click the Select All button. To clear all check boxes, click the Select None button.

Event Types

Select one or more event types to be associated with the selected com ports. To select all event types, click the Select All button. To clear all check boxes, click the Select None button.

If you select the Read event , the Read Data checkbox becomes activated. If you select Read Data, the event log shows the first 128 bytes of data read on the port.

If you select the Write event, the Write Data checkbox is activated. If you select Write Data, the event log shows the first 128 bytes of data written to the port.

Event IOCTLS

Select one or more event IOCTLS to monitor. To select all event IOCTLS, click the Select All button. To clear all check boxes, click the Select None button.

  5. Click OK. The Filters window displays with the new filter on the list.

To view or edit an existing filter:

  1. To view details about an existing filter, right-click the name of the interface and click Edit, or double-click the existing filter. The Edit Filters window displays.

  2. Update the selections as desired and click OK.

To duplicate a filter:

  1. Right-click an existing filter and click Duplicate from the pop-up menu. The Edit Filter window displays.

  2. In the Filter field, enter a name that describes the filter.

  3. Change the selections as desired (for example, select other com ports but leave the other settings).

  4. Click OK.

To delete a filter:

  1. Right-click the filter and click Delete from the pop-up menu, or select the filter and press the Delete key.

To select filters for the event log:

  1. In the CPR Monitor, select Filters from the View menu. The Filters window lists existing filters.

  2. Select the checkboxes for one or more filters.

  3. Close the window.

See also

Event Log


TCP Information

Use the CPR Monitor to view information about TCP connections.

To view TCP details:

  1. In the CPR Monitor, select TCP Information from the View menu.

  2. From the Refresh Rate drop-down list, select the number of seconds before CPR should refresh the information. The default is 10.

See also

Network Interfaces


Event Log

Use the CPR Monitor to specify the filters to use to generate the event log and to view the event log. You can also customize the event log, if desired.

To specify filters for the event log:

  1. In the CPR Monitor, select View Filters from the View menu. The Filters window lists existing filters.

  2. Select the check boxes for the filters to use to generate the event log.

To generate the event log:

  1. From the View menu, select Event Log, or press Ctrl+E.

  2. To enable the log to scroll to the end of the data, select the Scroll Output checkbox.

  3. To generate the log, click the Start Event Logging button.

  4. To stop generating the log, click the Stop Event Logging button.

  5. To clear the log, click the Clear Events button.

To customize the event log:

You can design the look of the event log and specify which events to save and print.

  1. If event logging is on, stop event logging by clicking the Stop Event Logging button.

Note: For the Filtering, Page Setup, and Select None options, event logging can be on.

  2. Right-click a blank line or an event line. A drop-down menu displays. If you right-clicked a blank line, only a few options are active.

  3. Select one of the following options:

Filtering | Displays the Filters window.
Show Hex | Shows up to 128 bytes of data in hexadecimal format. The default is ASCII format.
Options | From the drop-down list, select the maximum number of events to show on the event log.
Show Columns | Displays a list of column headers that you can select or de-select.
Save All Events | Saves all events listed in the log to a text file.
Save Selected Events | Saves selected events to a text file. Select one or more events and right-click the event log before selecting this option.
Select Related Events | Displays a dialog box that enables you to select events by Com Port, Event Type, and Event IOCTLs.
Select All | Selects all listed events.
Select None | De-selects all selected events (only active if at least one item is selected).
Invert Selection | De-selects selected events or selects de-selected events.
Hide Selected Events | Removes selected events from the event list display. (It does not delete the events.)
Hide Unselected Events | Removes unselected events from the event list display.
Unhide All Events | Displays all hidden events.
Group Related Events | Displays a dialog box that enables you to group and display events by type. Options are None (default), Com Port, IP Address, Event Type, TCP Port.
Ungroup Events | Returns the event list to ungrouped format.
Page Setup | Allows you to select paper size, orientation, margins, and a printer.
Print Event Log | Prints the entire event log.
Print Selected Events | Prints selected events.


CPR Monitor Menu Options

The following table summarizes menu options specific to CPR Monitor.

File Menu
Close | Closes CPR Monitor.
View Menu
Network Interfaces | Displays network interface information.
TCP Information | Displays information about TCP connections.
Event Log | Enables you to run the event log.
Filters | Enables you to specify the filters to use to generate the event log and to view the event log.
Tools Menu
Reset User Interface Defaults (size, location, etc.) | Restores original interface.
Launch CPR Monitor | Starts CPR Manager, the module for setting up com ports..
Help Menu |
Help | Provides CPR online Help.
About | Displays CPR version information.

See also

CPR Manager Menu Options


CPR Monitor


Edit Filters Window


Event Log Window


Filters Window


Network Interface Details Window


Network Interface Window


TCP Information Window


General Character Generator Tests

The character generator listens on a TCP port for remote connections. When a remote device connects, the character generator sends blocks of data to the remote device.

Example: A typical configuration is for Com Port Redirector to be on two different PCs, for example 192.1.1.1 and 192.1.1.2. The 192.1.1.1 PC assigns a com port, for example Com6, to 192.1.1.2 port 9050. The 192.1.1.2 PC runs the character generator on port 9050. When the 192.1.1.1 PC opens Com6, the 192.1.1.2 PC sends data to test the connection.

To perform general tests:

  1. Select All Com Ports (or a group of com ports to which the desired com ports belong), and click the General Tests tab.

  2. Click the Char Gen tab,if not already displayed.

  3. Enter the following information:

Listen Port | TCP port that the character generator listens to for remote connections. The default is 9050.
Send Delay (msec) | Number of milliseconds the character generator should delay between sending blocks of data. The default is 0.

  4. Click the Listen button. Char Gen listens for connections, and the text next to the button changes to "Listening."

  5. To stop listening, click the Stop button.

See also


Com Ports Window


Installation

To install Com Port Redirector:

1. Perform the appropriate step to start the installation:

  • If Com Port Redirector is on a CD-ROM, insert the CD-ROM into the computer’s CD-ROM drive, and click Redirector,

OR

  • If you downloaded Com Port Redirector, double-click the downloaded file.

1a. Click the Install button. The Lantronix CPR Welcome window displays.

  2. Click the Next button. The Select Installation Folder window displays.

  3. Browse to the folder where you want to install the CPR. We recommend you select the default.

  4. To view available disk space on your drives, click the Disk Cost button.

  5. Click the Next button. The Confirm Installation window displays.

  7. Click the Next button. The installation begins; then a warning message displays indicating that CPR has not passed Windows Logo testing.

  8. Click the Continue Anyway button. The installation continues and the warning displays again.

  9. Click the Continue Anyway button again. The installation continues until the Installation Complete window displays.

  10. Click the Close button.

11. Click the OK button.